/* Include the SPI anf Mirf libraries */
#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>


//******************

int uiData;

//******************



void setup(){
  Serial.begin(115200);

  Mirf.cePin = 8;
  Mirf.csnPin = 10;
 
  Mirf.spi = &MirfHardwareSpi;
 
  /* Initialise the module */
  Mirf.init();
 
  /* Set the receiving address of this module. This must be a 5 byte
  *  character string */
  
  Mirf.setRADDR((byte *)"CLI01");
 
  /* Set the payload length to size unsigned int (size of data from
  *  the analogue input A0) */
  Mirf.payload = sizeof(uiData);
 
  /* Set the channel. Channel 90 = 2.490GHz */
  Mirf.channel = 90;
 
  /* Configure the module */
  Mirf.config();
 
  Serial.println("Listening...");
}


/******* Main Program ********/
void loop()
{
  
  /* If we are not currently sending an there is new data available
   * then get the new data and output it to the UART */   
  if(!Mirf.isSending() && Mirf.dataReady()){

    /* Get the data from the receive buffer */
    Mirf.getData((byte *) &uiData);
    
    /* And output it to the UART */
    Serial.print("\tGot packet:  ");
    Serial.println(uiData);


  }   

}
